org.glassfish.jersey.server.wadl

## Interface WadlApplicationContext

    public interface WadlApplicationContext

A context to obtain WADL-based information.

Author:
  Paul Sandoz

### Method Summary

All Methods Instance Methods Abstract Methods
`org.glassfish.jersey.server.wadl.internal.ApplicationDescription` `getApplication(jakarta.ws.rs.core.UriInfo ui, boolean detailedWadl)` Get a new instance of a `ApplicationDescription` corresponding to all the root resource classes, and configure the base URI.
`Application` `getApplication(jakarta.ws.rs.core.UriInfo info, Resource resource, boolean detailedWadl)` Get a new instance of `Application` for a particular resource.
`jakarta.xml.bind.JAXBContext` `getJAXBContext()` Get the default JAXB context associated with the `WadlGenerator` for the Web application.
`boolean` `isWadlGenerationEnabled()` Get WADL generation status.
`void` `setWadlGenerationEnabled(boolean wadlGenerationEnabled)` Enable/disable WADL generation.

### Method Detail

#### getApplication

    org.glassfish.jersey.server.wadl.internal.ApplicationDescription getApplication(jakarta.ws.rs.core.UriInfo ui,
                                                                                    boolean detailedWadl)

Get a new instance of a `ApplicationDescription` corresponding to all the root resource classes, and configure the base URI.

Parameters:
  `ui` - the URI information from which the base URI is set on the WADL application.
  `detailedWadl` - flag indicating whether or not detailed WADL should be generated.
Returns:
  the application description, the contents may be modified.

#### getApplication

    Application getApplication(jakarta.ws.rs.core.UriInfo info,
                               Resource resource,
                               boolean detailedWadl)

Get a new instance of `Application` for a particular resource.

Parameters:
  `info` - the URI information from which the base URI is set on the WADL application.
  `resource` - the resource to build the Application for
  `detailedWadl` - flag indicating whether or not detailed WADL should be generated.
Returns:
  the application for this resource

#### getJAXBContext

    jakarta.xml.bind.JAXBContext getJAXBContext()

Get the default JAXB context associated with the `WadlGenerator` for the Web application.

Returns:
  the default JAXB context.

#### setWadlGenerationEnabled

    void setWadlGenerationEnabled(boolean wadlGenerationEnabled)

Enable/disable WADL generation.

Parameters:
  `wadlGenerationEnabled` - if wadlGenerationEnabled is true and `ServerProperties.WADL_FEATURE_DISABLE` is false, WADL generation is enabled. In all other cases is disabled.

#### isWadlGenerationEnabled

    boolean isWadlGenerationEnabled()

Get WADL generation status.

Returns:
  true when WADL generation is enabled. Does not take `ServerProperties.WADL_FEATURE_DISABLE`